Bug 1712985 - Installation of Red Hat Satellite 6.5 or Red Hat Capsule 6.5 server fails when ipv6 is disabled.
Summary: Installation of Red Hat Satellite 6.5 or Red Hat Capsule 6.5 server fails wh...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.5.0
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: 6.6.0
Assignee: Evgeni Golov
QA Contact: Devendra Singh
URL:
Whiteboard:
: 1718700 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-22 15:55 UTC by shisingh
Modified: 2019-10-22 12:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 25460 High Closed foreman-proxy service fails to start if IPv6 is disabled 2020-01-06 12:54:52 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:40 UTC

Description shisingh 2019-05-22 15:55:19 UTC
Description of problem:

Red Hat Satellite 6.5 Server installation fails if Ipv6 is disabled on RHEL host, which was resolved in Red Hat Satellite 6.4.3.

Reference bug: https://bugzilla.redhat.com/show_bug.cgi?id=1643183

Version-Release number of selected component (if applicable): 
Red Hat Satellite 6.5


How reproducible: Everytime 

Reproducer Details: 

Red Hat Satellite Server: vm255-134.gsslab.pnq2.redhat.com/10.74.255.134 (Rollback the server to snapshot labelled 'after disabling ipv6')

Login details: root/redhat

Steps to Reproduce:
1. Build a RHEL 7 machine and disable the IPv6 using the following article.

https://access.redhat.com/solutions/8709

2.Reboot the host.

3. Perform configuration on the host and execute satellite-installer command with all the required options.

Actual results: Satellite-installer will fail with the error mentioned below.


Expected results: Satellite-installer should complete successfully.


Additional info:

logs:
===============================
-- Logs begin at Wed 2019-05-22 10:07:51 EDT, end at Wed 2019-05-22 11:09:17 EDT. --
May 22 11:09:11 vm255-134.gsslab.pnq2.redhat.com systemd[1]: Starting Foreman Proxy...
May 22 11:09:17 vm255-134.gsslab.pnq2.redhat.com smart-proxy[30959]: Running Foreman Ansible Core in non-SCL context
May 22 11:09:17 vm255-134.gsslab.pnq2.redhat.com smart-proxy[30959]: Errors detected on startup, see log for details. Exiting: Address family not supported by protocol - socket(2)
May 22 11:09:17 vm255-134.gsslab.pnq2.redhat.com systemd[1]: foreman-proxy.service: main process exited, code=exited, status=1/FAILURE
May 22 11:09:17 vm255-134.gsslab.pnq2.redhat.com systemd[1]: Failed to start Foreman Proxy.
May 22 11:09:17 vm255-134.gsslab.pnq2.redhat.com systemd[1]: Unit foreman-proxy.service entered failed state.
May 22 11:09:17 vm255-134.gsslab.pnq2.redhat.com systemd[1]: foreman-proxy.service failed.
===============================

Issue was also existing on Red Hat Satellite Server 6.4.2 which was resolved in Red Hat Satellite 6.4.3. 

Workaround: Run the satellite installer once again after adding below mentioned parameter:

	--foreman-proxy-bind-host '*'

Comment 5 Zach Huntington-Meath 2019-07-11 13:40:21 UTC
*** Bug 1718700 has been marked as a duplicate of this bug. ***

Comment 8 Bryan Kearney 2019-08-05 10:01:57 UTC
Upstream bug assigned to egolov@redhat.com

Comment 9 Bryan Kearney 2019-08-05 10:01:59 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25460 has been resolved.

Comment 11 Devendra Singh 2019-09-03 16:56:00 UTC
This bug has verified in 6.6.0 Snap18.

Foreman-installer version: foreman-installer-1.22.0.10-1.el7sat.noarch
Linux Version: 7.6

Verified Point: 
* Disable ipv6 as mentioned detail over https://bugzilla.redhat.com/show_bug.cgi?id=1712985
    - Edit /etc/default/grub and append ipv6.disable=1 to GRUB_CMDLINE_LINUX
    - Run the grub2-mkconfig command to regenerate the grub.cfg file
    - Reboot the system to disable IPv6 support.
* Perform Satellite installer and it was completed successfully.
# satellite-installer --scenario satellite
Installing             Done                                               [100%] [................................................................................................................................]
Package versions are being locked.
  Success!

Comment 12 Devendra Singh 2019-09-04 12:54:09 UTC
This bug has successfully verified with capsule 

Foreman-installer version: foreman-installer-1.22.0.10-1.el7sat.noarch

Verified Point: 

* Disable ipv6 as mentioned detail over https://bugzilla.redhat.com/show_bug.cgi?id=1712985
    - Edit /etc/default/grub and append ipv6.disable=1 to GRUB_CMDLINE_LINUX
    - Run the grub2-mkconfig command to regenerate the grub.cfg file
    - Reboot the system to disable IPv6 support.
* Installed Capsule and it was successfully done.

Comment 16 errata-xmlrpc 2019-10-22 12:47:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.